'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgSmileyComputer = function SvgSmileyComputer(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#SmileyComputer_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M5.143 7a3.12 3.12 0 0 0-2.222.972A3.35 3.35 0 0 0 2 10.28v59.99a.74.74 0 0 0 .197.525c.129.13.3.203.48.204h74.644a.67.67 0 0 0 .478-.207.72.72 0 0 0 .2-.495V10.296a3.3 3.3 0 0 0-.238-1.273 3.3 3.3 0 0 0-.698-1.048 3.1 3.1 0 0 0-1.048-.708 3.1 3.1 0 0 0-1.23-.24zm71.455 62.57H3.483v-.142H3.33v-49.4h73.267zM22.321 48.521a23.2 23.2 0 0 0 7.888 6.202 22.4 22.4 0 0 0 9.672 2.203c3.34 0 6.64-.751 9.673-2.203a23.2 23.2 0 0 0 7.887-6.202l-1.042-.901a21.65 21.65 0 0 1-7.38 5.843 20.9 20.9 0 0 1-9.07 2.081h-.055a21.1 21.1 0 0 1-9.115-2.075 21.8 21.8 0 0 1-7.431-5.849zm23.3-8.353h1.357v-7.757h-1.356zm-12.65 0h1.357v-7.757h-1.356zm43.647-21.54H3.331v-8.333c0-.247.046-.493.137-.723.087-.23.22-.44.39-.613a1.8 1.8 0 0 1 1.285-.555h69.644c.238 0 .473.048.693.142.22.095.42.233.588.407s.301.381.392.609.138.471.138.718zm-4.533-4.365h1.356v-1.405h-1.356zm-3.896 0h1.356v-1.405h-1.356zm-3.896 0h1.462v-1.405h-1.437z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "SmileyComputer_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgSmileyComputer;
